MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003992ATutorContentpublic2009-11-10 10:542009-12-01 08:41
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.4 
Summary0003992: text alternative for audio
DescriptionOutput of text file to append or replace audio generates broken markup.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003854)
greg (administrator)
2009-11-10 11:29

fails on the following object/embed block.


<object type="audio/mpeg" data="audio/ADO-1.mp3">
        <param name="src" value="audio/ADO-1.mp3" />
        <param name="autoplay" value="false" />
        <param name="autoStart" value="0" />
<embed src="audio/ADO-1.mp3" height="60" width="144">
</object>
(0003892)
cindy (administrator)
2009-11-20 11:18

SVN revision: 8951

Solution: check on file extension and file content, if html file, use iframe to display and auto adjust iframe height; if text file, insert/replace into content.

Affected scripts:
include/lib/output.inc.php
jscripts/infusion/jquery.autoHeight.js
themes/default/include/header.tmpl.php
themes/blumin/include/header.tmpl.php
themes/greenmin/include/header.tmpl.php
themes/fluid/include/header.tmpl.php
themes/default_classic/include/header.tmpl.php

- Issue History
Date Modified Username Field Change
2009-11-10 10:54 greg New Issue
2009-11-10 10:54 greg Affects version => SVN
2009-11-10 11:29 greg Note Added: 0003854
2009-11-12 02:49 greg Status new => assigned
2009-11-12 02:49 greg Assigned To => cindy
2009-11-20 11:18 cindy Status assigned => resolved
2009-11-20 11:18 cindy Fixed in Version => 1.6.4
2009-11-20 11:18 cindy Resolution open => fixed
2009-11-20 11:18 cindy Note Added: 0003892
2009-12-01 08:41 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker